# RowResult class

(PECL mysql-xdevapi >= 8.0.11)

## Introduction

## Class synopsis

mysql_xdevapi\RowResult implements mysql_xdevapi\BaseResult , Traversable {
/* Methods */
public fetchAll ( void ) : array
public fetchOne ( void ) : array
public getColumnsCount ( void ) : integer
public getColumnNames ( void ) : array
public getColumns ( void ) : array
public getWarnings ( void ) : array
public getWarningsCount ( void ) : integer
}

## Table of Contents

- RowResult::__construct — RowResult constructor
- RowResult::fetchAll — Get all rows from result
- RowResult::fetchOne — Get row from result
- RowResult::getColumnsCount — Get column count
- RowResult::getColumnNames — Get all column names
- RowResult::getColumns — Get column metadata
- RowResult::getWarnings — Get warnings from last operation
- RowResult::getWarningsCount — Get warning count from last operation